/*
 * Hamsam - Instant Messaging API
 * Copyright (C) 2003 Raghu K
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package gui;

import javax.swing.JTabbedPane;

import gui.tools.PropertiesManager;

import hamsam.api.Buddy;

/**
 * <p>Titre : Hamsam Project</p>
 * <p>Description : Instant Messenger</p>
 * <p>Copyright : Copyright (c) 2003</p>
 * <p>Soci?t? : </p>
 * @author Fr?d?ric DIB
 * @version 0.1
 */

public class TabbedPanel extends JTabbedPane {
  static final long serialVersionUID = 8040963644231223286L;
private PropertiesManager propertiesMgr = null;
  private ConnectionPanel connectionPanel = null;
  public ContactsMgrPanel contactMgrPanel = null;

  /**
   * Constructor
   */
  public TabbedPanel(PropertiesManager p) {
    this.propertiesMgr = p;
    this.initTabbedPanel();
  }

  /**
   *
   */
  public void updateBuddyList(Buddy[] b) {
    contactMgrPanel.updateBuddyList(b);
  }

  /**
   *
   */
  public void enableContactPanel(boolean b) {
    this.setEnabledAt(1, b);
  }
  public void setConnected(boolean b) { 
	  if(!b) { contactMgrPanel.delAllBuddies(); }
	  enableContactPanel(b);
	  connectionPanel.setConnected(b);
  }
  /**
   * Init the main panel.
   */
  private void initTabbedPanel() {
    this.connectionPanel = new ConnectionPanel(this.propertiesMgr);
    this.addTab(this.propertiesMgr.getValue("connectionPanel"),
                this.connectionPanel);

    contactMgrPanel = new ContactsMgrPanel(this.propertiesMgr);
    this.addTab(this.propertiesMgr.getValue("contactMgrPanel"),
                this.contactMgrPanel);
    this.enableContactPanel(false);
  }

}