/*
 * Hamsam - Instant Messaging API
 * Copyright (C) 2003 Raghu K
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package hamsam.api;
import java.io.Serializable;

/**
 * A component of a message.
 *
 * <p>
 * Instant messages contain not only plain text messages, but various
 * other things such as URLs, font and color variations, smileys etc.
 * A MessageComponent is an abstract concept to represent such a
 * component.
 *
 * <p>
 * This interface does not have any fields or methods and serves only
 * to identify semantics of being a message component.
 *
 * @author  Raghu
 */
public interface MessageComponent extends Serializable
{
}
